# List all endpoints

Launch stage: GA

`GET /api/2.0/vector-search/endpoints`

List all AI Search endpoints in the workspace.

API scopes: vector-search

## Query parameters

- `page_token` (string, optional)
  Token for pagination

## Returns

Returns a list of Endpoint objects.

## Response

```json
{
  "endpoints": [
    {
      "name": "docs-endpoint",
      "creator": "john@example.com",
      "creation_timestamp": 1702013512061,
      "last_updated_timestamp": 1702013512061,
      "endpoint_type": "STORAGE_OPTIMIZED",
      "last_updated_user": "john@example.com",
      "id": "c56bf0a9-4929-4bd4-8bd5-d82ca62f9c76",
      "endpoint_status": {},
      "num_indexes": 0,
      "budget_policy_id": "string",
      "effective_budget_policy_id": "8b0444ff-8b60-48b0-9d31-e391f6126e0f",
      "scaling_info": {}
    }
  ],
  "next_page_token": "string"
}
```

